Subject: Re: bug#24901: Patch updated slightly

From: Reuben Thomas <[email-masked]>
Date: Fri, 2 Dec 2016 16:09:49 +0000

On 2 December 2016 at 15:55, Eli Zaretskii <[email-masked]> wrote:

> > From: Reuben Thomas <[email-masked]>
> > Date: Fri, 2 Dec 2016 15:40:58 +0000
> > Cc: [email-masked]
> >
> > On 2 December 2016 at 15:26, Eli Zaretskii <[email-masked]> wrote:
> >
> >  So electric-pair-mode is incompatible with RTL scripts. Too bad.
> >
> > It seems to work for me: if I select a Hebrew keyboard layout, type some
> Hebrew letters, and then use double
> > straight quotes, I get the expected result. If I use curly quotes, I get
> a different result, but perhaps that it
> > because it implicitly changes the writing direction? I didn't get as far
> as trying to configure electric-pair-mode to
> > understand Hebrew quotation marks.
>
> The problem I was thinking about is that in RTL script you would type
> the right quote first, to serve as the opening quote.  That's because
> the quotes are not mirrored by the bidirectional reordering for
> display, like parentheses are.
>

So, if you expect to be able to use the same quote characters without
reconfiguration according to language, then it won't work. Otherwise, you
can simply configure the quotes the other way around, and it should work
(and change the documentation of electric-quote-pairs to mention "open" and
"close" rather than "left" and "right"). But I guess this is a solved
design problem that simply needs integrating into electric-pair-mode…

Change installed.

-- 
http://rrt.sc3d.org